# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

       <a name="4.0.0"></a>
# [4.0.0](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.20...cf-component-table@4.0.0) (2018-05-08)


### Bug Fixes

* **cf-component-calendar:** UI-585: fixed calendar css classnames ([3fd491b](http://stash.cfops.it:7999/www/cf-ux/commits/3fd491b))
* **cf-component-table:** UI-585: removed reference to colors theme ([24db5af](http://stash.cfops.it:7999/www/cf-ux/commits/24db5af))


### Features

* **all:** UI-585: ([00a5bf1](http://stash.cfops.it:7999/www/cf-ux/commits/00a5bf1))
* **all:** UI-585: deprecate 'hail' and 'ash' named colors ([ff5f234](http://stash.cfops.it:7999/www/cf-ux/commits/ff5f234))
* **all:** UI-585: deprecate 'smoke' named color ([7558485](http://stash.cfops.it:7999/www/cf-ux/commits/7558485))
* **all:** UI-585: deprecate old 'gray' named colors, and remove 'colors' references ([fe1d8b5](http://stash.cfops.it:7999/www/cf-ux/commits/fe1d8b5))
* **all:** UI-585: update color usage to access theme.colors ([3f76f3b](http://stash.cfops.it:7999/www/cf-ux/commits/3f76f3b))


### BREAKING CHANGES

* **all:** update snapshots




       <a name="3.4.20"></a>
## [3.4.20](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.19...cf-component-table@3.4.20) (2018-05-04)




**Note:** Version bump only for package cf-component-table

      <a name="3.4.19"></a>
## [3.4.19](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.18...cf-component-table@3.4.19) (2018-05-02)




**Note:** Version bump only for package cf-component-table

     <a name="3.4.18"></a>
## [3.4.18](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.17...cf-component-table@3.4.18) (2018-05-01)




**Note:** Version bump only for package cf-component-table

    <a name="3.4.17"></a>
## [3.4.17](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.16...cf-component-table@3.4.17) (2018-04-27)




**Note:** Version bump only for package cf-component-table

   <a name="3.4.16"></a>
## [3.4.16](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.15...cf-component-table@3.4.16) (2018-04-24)




**Note:** Version bump only for package cf-component-table

  <a name="3.4.15"></a>
## [3.4.15](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.14...cf-component-table@3.4.15) (2018-04-24)




**Note:** Version bump only for package cf-component-table

 <a name="3.4.14"></a>
## [3.4.14](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.13...cf-component-table@3.4.14) (2018-04-20)




**Note:** Version bump only for package cf-component-table

<a name="3.4.13"></a>
## [3.4.13](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.12...cf-component-table@3.4.13) (2018-04-18)




**Note:** Version bump only for package cf-component-table

<a name="3.4.12"></a>
## [3.4.12](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.11...cf-component-table@3.4.12) (2018-04-17)




**Note:** Version bump only for package cf-component-table

<a name="3.4.11"></a>
## [3.4.11](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.10...cf-component-table@3.4.11) (2018-04-12)




**Note:** Version bump only for package cf-component-table

<a name="3.4.10"></a>
## [3.4.10](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.9...cf-component-table@3.4.10) (2018-04-11)




**Note:** Version bump only for package cf-component-table

<a name="3.4.9"></a>
## [3.4.9](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.8...cf-component-table@3.4.9) (2018-03-28)




**Note:** Version bump only for package cf-component-table

<a name="3.4.8"></a>
## [3.4.8](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.6...cf-component-table@3.4.8) (2018-03-28)




**Note:** Version bump only for package cf-component-table

<a name="3.4.6"></a>
## [3.4.6](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.5...cf-component-table@3.4.6) (2018-03-23)


### Bug Fixes

* UI-203: Updated snapshots ([ac0e2a2](http://stash.cfops.it:7999/www/cf-ux/commits/ac0e2a2))




<a name="3.4.5"></a>
## [3.4.5](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.4...cf-component-table@3.4.5) (2018-03-16)


### Bug Fixes

* **cf-style-container:** UI-434 add display name to anywhere we Fela wrappers ([1f7afeb](http://stash.cfops.it:7999/www/cf-ux/commits/1f7afeb))




<a name="3.4.4"></a>
## [3.4.4](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.3...cf-component-table@3.4.4) (2018-03-15)




**Note:** Version bump only for package cf-component-table

<a name="3.4.3"></a>
## [3.4.3](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.2...cf-component-table@3.4.3) (2018-03-14)




**Note:** Version bump only for package cf-component-table

<a name="3.4.2"></a>
## [3.4.2](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.1...cf-component-table@3.4.2) (2018-03-13)




**Note:** Version bump only for package cf-component-table

<a name="3.4.1"></a>
## [3.4.1](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.4.0...cf-component-table@3.4.1) (2018-03-12)




**Note:** Version bump only for package cf-component-table

<a name="3.4.0"></a>
# [3.4.0](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.3.0...cf-component-table@3.4.0) (2018-03-09)


### Features

* **cf-component-table-view:** NETDEV-483 - Update readmes ([37f432d](http://stash.cfops.it:7999/www/cf-ux/commits/37f432d))




<a name="3.3.0"></a>
# [3.3.0](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.2.3...cf-component-table@3.3.0) (2018-03-05)


### Features

* **cf-builder-table:** NETDEV-483 - Expose prop to remove fixed layout ([7ee9fb6](http://stash.cfops.it:7999/www/cf-ux/commits/7ee9fb6))
* **cf-component-table:** NETDEV-483 - Update example with fixedLayout prop ([8a9ea7f](http://stash.cfops.it:7999/www/cf-ux/commits/8a9ea7f))




<a name="3.2.3"></a>
## [3.2.3](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.2.2...cf-component-table@3.2.3) (2018-02-14)


### Bug Fixes

* **cf-component-auto-fetch:** UI-360: displayIntialLoading vs displayTransitionLoading ([29e2fc4](http://stash.cfops.it:7999/www/cf-ux/commits/29e2fc4))
* **cf-component-auto-fetch:** UI-360: WIP initial vs transition loading states ([c2af706](http://stash.cfops.it:7999/www/cf-ux/commits/c2af706))




<a name="3.2.2"></a>
## [3.2.2](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.2.1...cf-component-table@3.2.2) (2018-02-12)




**Note:** Version bump only for package cf-component-table

<a name="3.2.1"></a>
## [3.2.1](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.2.0...cf-component-table@3.2.1) (2018-02-09)




**Note:** Version bump only for package cf-component-table

<a name="3.2.0"></a>
# [3.2.0](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.1.1...cf-component-table@3.2.0) (2018-02-07)


### Features

* **cf-component-table,cf-component-expandable-table:** WWW-13853 unify loading and error states ([8233d23](http://stash.cfops.it:7999/www/cf-ux/commits/8233d23))
* **cf-page-account-selector:** WWW-14230 updated to match design ([78b8904](http://stash.cfops.it:7999/www/cf-ux/commits/78b8904))




<a name="3.1.1"></a>
## [3.1.1](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.1.0...cf-component-table@3.1.1) (2018-02-07)




**Note:** Version bump only for package cf-component-table

<a name="3.1.0"></a>
# [3.1.0](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.8...cf-component-table@3.1.0) (2018-01-30)


### Features

* **cf-component-tablte,cf-component-zone-selector:** WWW-13853 unified loading and not found states ([69ed0bf](http://stash.cfops.it:7999/www/cf-ux/commits/69ed0bf))




<a name="3.0.8"></a>
## [3.0.8](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.7...cf-component-table@3.0.8) (2018-01-29)




**Note:** Version bump only for package cf-component-table

<a name="3.0.7"></a>
## [3.0.7](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.6...cf-component-table@3.0.7) (2018-01-24)




**Note:** Version bump only for package cf-component-table

<a name="3.0.6"></a>
## [3.0.6](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.5...cf-component-table@3.0.6) (2018-01-21)




**Note:** Version bump only for package cf-component-table

<a name="3.0.5"></a>
## [3.0.5](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.4...cf-component-table@3.0.5) (2018-01-20)




**Note:** Version bump only for package cf-component-table

<a name="3.0.4"></a>
## [3.0.4](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.3...cf-component-table@3.0.4) (2018-01-19)


### Bug Fixes

* **cf-component-sortable:** WWW-14005: Add sortable component ([2dd1a45](http://stash.cfops.it:7999/www/cf-ux/commits/2dd1a45))




<a name="3.0.3"></a>
## [3.0.3](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.2...cf-component-table@3.0.3) (2017-12-11)




**Note:** Version bump only for package cf-component-table

<a name="3.0.2"></a>
## [3.0.2](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.1...cf-component-table@3.0.2) (2017-12-05)




**Note:** Version bump only for package cf-component-table

<a name="3.0.1"></a>
## [3.0.1](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@3.0.0...cf-component-table@3.0.1) (2017-12-01)




**Note:** Version bump only for package cf-component-table

<a name="3.0.0"></a>
# [3.0.0](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.8...cf-component-table@3.0.0) (2017-11-29)


### Features

* **cf-component-table:** UI-11 Update table to use Fela ([eddb31e](http://stash.cfops.it:7999/www/cf-ux/commits/eddb31e))


### BREAKING CHANGES

* **cf-component-table:** Update table to use Fela
	- Added preview capabilities to table example
	- Removed redux from cf-builder-table
	- Removed tableReducer from cf-app-styleguide
	- Updated table to new spacing scale
	- Removed condensed and striped props
	- Update zone selector to use new components
	- Updated READMEs
	- Added separator and accent props




<a name="2.5.8"></a>
## [2.5.8](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.7...cf-component-table@2.5.8) (2017-11-22)


### Bug Fixes

* **cf-style-provider:** UI-143: Migrate cf-ux to React16 BREAKING CHANGE ([fbb24e8](http://stash.cfops.it:7999/www/cf-ux/commits/fbb24e8))




<a name="2.5.7"></a>
## [2.5.7](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.6...cf-component-table@2.5.7) (2017-11-08)




**Note:** Version bump only for package cf-component-table

<a name="2.5.6"></a>
## [2.5.6](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.5...cf-component-table@2.5.6) (2017-10-26)




**Note:** Version bump only for package cf-component-table

<a name="2.5.5"></a>
## [2.5.5](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.4...cf-component-table@2.5.5) (2017-10-23)




**Note:** Version bump only for package cf-component-table

<a name="2.5.4"></a>
## [2.5.4](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.3...cf-component-table@2.5.4) (2017-10-20)




**Note:** Version bump only for package cf-component-table

<a name="2.5.3"></a>
## [2.5.3](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.2...cf-component-table@2.5.3) (2017-09-27)




**Note:** Version bump only for package cf-component-table

<a name="2.5.2"></a>
## [2.5.2](http://stash.cfops.it:7999/www/cf-ux/compare/cf-component-table@2.5.1...cf-component-table@2.5.2) (2017-09-25)




**Note:** Version bump only for package cf-component-table

<a name="2.5.0"></a>
# [2.5.0](https://github.com/cloudflare/cf-ui/compare/cf-component-table@2.4.1...cf-component-table@2.5.0) (2017-09-08)


### Features

* **cf-component-table:** Add responsive version ([5bdf81d](https://github.com/cloudflare/cf-ui/commit/5bdf81d))
* **cf-component-table:** Fix tests ([03df4ec](https://github.com/cloudflare/cf-ui/commit/03df4ec))
